Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface RemoteRelationalReference

All Known Subinterfaces:
  Customer, CustomerDelegate, Entity, Order, PaymentTransaction, ShippingMethod

Deprecated

    @Deprecated
    public interface RemoteRelationalReference

Interface for metadata required to persist associations, FOR REMOTE OBJECTS Associations among classes require certain metadata for persistence:

- containingEntity: provides foreign key information to containing entity bean
- classID: identifies a subclass in the database. Used to persist subclasses in a single collection or map

Method Summary
`String` | `get__classIdentifier()` Deprecated Get relation identifier for this object (used to persist subclasses in a single collection or map)
`Belonging` | `get__containingBelonging()` Deprecated Get foreign key information about the bean that contains this object
`javax.ejb.EJBObject` | `get__containingEntity()` Deprecated Get foreign key information about the bean that contains this object
`Object` | `get__mapKey()` Deprecated get map key
`Long` | `get__sequenceNumber()` Deprecated Get the sequencer number
`void` | `set__containingBelonging(Belonging belonging)` Deprecated Provides foreign key information about the bean that contains this object
`void` | `set__containingEntity(javax.ejb.EJBObject containingEntity)` Deprecated Provides foreign key information about the bean that contains this object
`void` | `set__mapKey(Object mapKey)` Deprecated Provides map key information

Method Detail

### set__mapKey

    void set__mapKey(Object mapKey)
                     throws RemoteException

  Deprecated
  Provides map key information

  Parameters
    `mapKey` - the key if this object is used in a map
  Throws
    `RemoteException`

### get__mapKey

    Object get__mapKey()
                       throws RemoteException

  Deprecated
  get map key

  Returns
    the mak key
  Throws
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.
    `RemoteException`

### set__containingEntity

    void set__containingEntity(javax.ejb.EJBObject containingEntity)
                               throws RemoteException

  Deprecated
  Provides foreign key information about the bean that contains this object

  Parameters
    `ejbObject` - remote interface of the containing bean
  Throws
    `RemoteException`

### get__containingEntity

    javax.ejb.EJBObject get__containingEntity()
                                              throws RemoteException

  Deprecated
  Get foreign key information about the bean that contains this object

  Returns
    ejbObject remote interface of the containing bean
  Throws
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.
    `RemoteException`

### set__containingBelonging

    void set__containingBelonging(Belonging belonging)
                                  throws RemoteException

  Deprecated
  Provides foreign key information about the bean that contains this object

  Parameters
    `ejbObject` - remote interface of the containing bean
  Throws
    `RemoteException`

### get__containingBelonging

    Belonging get__containingBelonging()
                                       throws RemoteException

  Deprecated
  Get foreign key information about the bean that contains this object

  Returns
    ejbObject remote interface of the containing bean
  Throws
    `ClassCastException` - source object is not an instance of the remote interface of the containing class.
    `RemoteException`

### get__classIdentifier

    String get__classIdentifier()
                                throws RemoteException

  Deprecated
  Get relation identifier for this object (used to persist subclasses in a single collection or map)

  Returns
    class identifier for this object.
  Throws
    `RemoteException`

### get__sequenceNumber

    Long get__sequenceNumber()
                             throws RemoteException

  Deprecated
  Get the sequencer number

  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.